import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { DrawerService } from './service/drawer.service';
import { Subscription } from 'rxjs';
export declare class StateListener implements OnInit, OnDestroy {
    protected drawerService: DrawerService;
    protected changeDetector: ChangeDetectorRef;
    drawerOpenListener: Subscription;
    constructor(drawerService: DrawerService, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isOpen(): boolean;
    isOpenOnHover(): boolean;
    unsubscribeListeners(): void;
    listenForDrawerChanges(): void;
}
