import { OnChanges } from '@angular/core';
/**
 * [ListItemTag Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-list-item-tag--readme)
 *
 * The `<blui-list-item-tag>` is a text item with a colored background and rounded corners that is used to tag lists.
 */
export declare class ListItemTagComponent implements OnChanges {
    /** Color of the label background */
    backgroundColor: string;
    /** Color of the label text */
    fontColor: string;
    /** The label text */
    label: string;
    ngOnChanges(): void;
}
